<!DOCTYPE html>
<html lang="en">
<head>
  <%- include('../partials/head.ejs'); -%>
</head>
<body>

<div class="container bg-3 text-center">
  <%- include('../partials/header.ejs'); -%>
  <div class="row main-container">
    <h3><%= page %></h3><br>
    <div class="alert alert-success successCreateTemplate" style="display:none"> </div>
    <div class="alert alert-danger errorCreateTemplate" style="display:none"> </div>
      <% let action = "/communication/create" ;
         let templateID = "" ;
      if(emailTemplate._id){
         action = "/communication/update?templateId="
         templateID = emailTemplate._id
      } %>
    <form id="createAppointment" action="<%= action %><%= templateID %>" method="POST">
      <div class="form-group col-md-6">
         <label for="subject">subject</label>
         <input type="hidden" class="input-lg form-control" name="templateName" value="createAppointment" >
         <% let subject = "" ;
         if(emailTemplate.subject){
            subject = emailTemplate.subject
         } %>
         <input type="text" class="input-lg form-control" name="subject" id="subject" placeholder="Subject" value="<%= subject %>" >
       </div>
       <div class="form-group col-md-12">
         <label for="editor">Body</label>
         <% let body = "" ;
         if(emailTemplate.body){
            body = emailTemplate.body
         } %>
         <textarea id="editor"><%= body %></textarea>
       </div>
   </form>
   <div class="form-group col-md-12">
     <button  class="btn" id="createTemplate">Submit</button>
  </div>
  </div>
</div>
<%- include('../partials/footer.ejs'); -%>
<script>
  $(document).ready(function(){

    // Create form submit when click on button
    $('#createTemplate').click(function() {
      $('#createAppointment').submit()
    });
    // Create form submit
    $('#createAppointment').submit(function(e) {
        e.preventDefault();
        var subject = $('#subject').val();

        if(subject == ""){
          $('.errorCreateTemplate').show()
          $('.errorCreateTemplate').html("Subject is required")
          setTimeout(function(){ $('.errorCreateTemplate').hide() }, 3000)
          return false
        }
        var mailContents = CKEDITOR.instances.editor.getData();
        mailContents
        $(this).ajaxSubmit({
            data:{body:mailContents},
            error: function(xhr) {
              $('.errorCreateTemplate').show()
              $('.errorCreateTemplate').html(xhr.responseJSON.message)
              setTimeout(function(){ $('.errorCreateTemplate').hide() }, 3000);
            },
            success: function(response) {
                if(response.status == "error"){
                  $('.errorCreateTemplate').show()
                  $('.errorCreateTemplate').html(response.message)
                  setTimeout(function(){ $('.errorCreateTemplate').hide() }, 3000);
                }else{
                  $('.successCreateTemplate').show()
                  $('.successCreateTemplate').html(response.message)
                  setTimeout(function(){ $('.successCreateTemplate').hide() }, 3000);
                  setTimeout(function(){ location.reload() }, 1000);
                }
            }
        });
        //Very important line, it disable the page refresh.
        return false;
    });
  })

  CKEDITOR.replace( 'editor', {
    toolbarGroups: [
      { name: 'mode' },
      { name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
      { name: 'clipboard',   groups: [ 'clipboard', 'undo' ] },
      { name: 'links' },
      { name: 'editing', groups: [ 'find', 'selection', 'spellchecker', 'editing' ] },
      { name: 'paragraph', groups: [ 'list', 'indent', 'blocks', 'align', 'bidi', 'paragraph' ] },
      { name: 'insert', groups: [ 'insert' ] },
      '/',
      { name: 'styles' },
      { name: 'colors' },
      { name: 'tools' },
      { name: 'others' },
      { name: 'about' }
    ],
    on: {
        pluginsLoaded: function() {
            var editor = this,
                config = editor.config;

            editor.ui.addRichCombo( 'my-combo', {
                label: 'Dynamic Varriables',
                title: 'Dynamic Varriables',
                toolbar: 'basicstyles,0',

                panel: {
                    css: [ CKEDITOR.skin.getPath( 'editor' ) ].concat( config.contentsCss ),
                    multiSelect: false,
                    attributes: { 'aria-label': 'Dynamic Varriables' }
                },

                init: function() {
                    this.startGroup( 'Dynamic Varriables' );
                    this.add( '{{ user_name }} ', 'User full Name' );
                    this.add( '{{ user_first_name }} ', 'User first Name' );
                    this.add( '{{ user_last_name }} ', 'User Last Name' );
                    this.add( '{{ appointment_schedule_date_time }}', 'Appointment Schedule' );

                },

                onClick: function( value ) {
                    editor.focus();
                    editor.fire( 'saveSnapshot' );

                    editor.insertHtml( value );

                    editor.fire( 'saveSnapshot' );
                }
            } );
        }
    }
} );
</script>
</body>
</html>
